
Infrastructure - Task #6727

Story # 6723 (Closed): test v2 MN and CN buildouts

Task # 6724 (Closed): refactor d1_integration for v2

refactor tests for reuse

2015-01-06 18:25 - Rob Nahf

Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

the structure and behavior of most methods have not changed between v1 and v2.  The existing structure of the tests isn't flexible

enough to handle reuse of tests between versions.

a general design needs to be worked out including a way to generalize the need to work with different versions of MNodes and

CNodes. 

Subtasks:

Task # 6737: refactor existing API test classes Closed

Related issues:

Precedes Infrastructure - Task #6728: adapt d1_integration classes to v2 libc... Closed 2015-01-07 2015-01-07

History

#1 - 2015-01-06 21:10 - Rob Nahf

completed basic design

#2 - 2015-01-06 21:10 - Rob Nahf

- % Done changed from 0 to 10

#3 - 2015-05-28 19:30 - Andrei Buium

- Status changed from In Progress to Closed

This was finished some time ago.
